Bug 66750 - Always use gdm
Summary: Always use gdm
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On: 72486
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-06-14 21:31 UTC by Havoc Pennington
Modified: 2014-03-17 02:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 14:04:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use GDM by default, unless specified by DISPLAYMANAGER (ignore $DESKTOP) (711 bytes, patch)
2002-08-13 20:47 UTC, Bill Nottingham
no flags Details | Diff

Description Havoc Pennington 2002-06-14 21:31:22 UTC
Should always use gdm instead of kdm, unless only kdm is installed.

Comment 1 Karsten Hopp 2002-06-26 10:58:02 UTC
I don't think this is the correct way to go. This should be configurable  
by the sysadmin with an entry in /etc/sysconfig.

Comment 2 Havoc Pennington 2002-07-01 16:17:35 UTC
It's fine if it's configurable, but gdm should always be the default.

Comment 3 Michael Fulbright 2002-08-13 16:21:10 UTC
Fix you dm launcher to run gdm by default unless an alternate is defined in
whatever you look at in /etc/sysconfig.

Comment 4 Havoc Pennington 2002-08-13 16:45:02 UTC
And back to initscripts where it was in the first place. ;-) gdm doesn't launch
itself.

Comment 5 Preston Brown 2002-08-13 17:30:25 UTC
why don't people like the anaconda patch I produced?  It will have the desired
result, and works fine with the infrastructure already in place in prefdm for
DISPLAYMANAGER.

Comment 6 Bill Nottingham 2002-08-13 20:46:07 UTC
I think the comment was just that the policy should just stay in prefdm.
Patch attached.

Comment 7 Bill Nottingham 2002-08-13 20:47:21 UTC
Created attachment 70404 [details]
use GDM by default, unless specified by DISPLAYMANAGER (ignore $DESKTOP)

Comment 8 Bill Nottingham 2002-08-13 20:49:06 UTC
will be in 6.89-1

Comment 9 Chris Ricker 2002-08-26 12:54:54 UTC
See #72468 -- this currently breaks badly when upgrading systems which:

1.  are running 7.3 or less
2.  have both KDE and GNOME installed
3.  have configured DESKTOP="KDE" in /etc/sysconfig/desktop

On upgrades, /etc/sysconfig/desktop needs to be parsed and the DESKTOP line
duplicated as DISPLAYMANAGER

Comment 10 Chris Ricker 2002-08-26 12:56:42 UTC
Sorry, wrong number -- the bug I meant was Bug 72486

Comment 11 Havoc Pennington 2002-08-26 14:30:38 UTC
I'm not sure I'd call it 'breaking badly' - you get gdm and have to change
DISPLAYMANAGER. It's mildly annoying, but nothing is broken.

Comment 12 Chris Ricker 2002-08-26 15:12:30 UTC
*shrug*  If I've bothered to configure a 7.3 system to use specific software,
and the upgrade silently changes that w/ no documentation, that's "breaking
badly" IMO.

Imagine if null silently switched all 7.3 machines where the admin had used
alternatives to select postfix back to sendmail, w/ no mention anywhere in any
documentation of this behavior.  That's exactly what you're doing here, only
with the display manager instead of the MTA....

Comment 13 Preston Brown 2002-08-27 18:55:01 UTC
In this case (of the login display manager), we respectfully disagree.

Comment 14 Warren Togami 2002-08-28 07:49:01 UTC
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=72825

I humbly request that the minor modifications to /etc/sysconfig/desktop be made
in order to reduce possible future confusion on this issue.


Comment 15 Chris Ricker 2002-08-28 14:04:51 UTC
I definitely second Warren's request.  While I disagree with Preston about this
not being a bug (to me, as a customer, any configuration which I deliberately
make and then RH upgrades remove is a bug), at least if it's documented people
will know how to fix the damage done by the upgrade.

Comment 16 Jay Turner 2002-08-31 02:31:43 UTC
Closing this out, as things appear to be working correctly now.


Note You need to log in before you can comment on or make changes to this bug.